# Class CIM_ParametersForMethod

ParametersForMethod represents the association between MethodParameters classes and a ManagedElement that has a method that can use the MethodParameters during its invocation. This association is optional. The Method Parameters instance can be passed as a parameter to a method or used to create a method signature before the method is invoked. This association is useful for finding all the valid MethodParameters instances for a particular method. It might be particularly useful for user-oriented interfaces and automated or policy driven method invocations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ParametersForMethod

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

ParametersForMethod represents the association between MethodParameters classes and a ManagedElement that has a method that can use the MethodParameters during its invocation. This association is optional. The Method Parameters instance can be passed as a parameter to a method or used to create a method signature before the method is invoked. This association is useful for finding all the valid MethodParameters instances for a particular method. It might be particularly useful for user-oriented interfaces and automated or policy driven method invocations.

UMLPackagePath | string | CIM::Core::MethodParms
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MethodName | string |
Description | string | The name of the method that can use the referenced instance of MethodParameters during its invocation.
Key | boolean | true
MaxLen | uint32 | 64

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Parameters | CIM_ParametersForMethod | CIM_MethodParameters
TheMethod | CIM_ParametersForMethod | CIM_ManagedElement

## Class Methods